## org.h2.android
Interface H2CursorDriver

    public interface H2CursorDriver

A factory and event listener for cursors.

Method Summary
`void` `cursorClosed()` The cursor was closed.
`void` `cursorDeactivated()` The cursor was deactivated.
`void` `cursorRequeried(android.database.Cursor cursor)` The query was re-run.
`android.database.Cursor` `query(H2Database.CursorFactory factory, java.lang.String[] bindArgs)` Execute the query.
`void` `setBindArguments(java.lang.String[] bindArgs)` Set the parameter values.

Method Detail

### cursorClosed

    void cursorClosed()

  The cursor was closed.

### cursorDeactivated

    void cursorDeactivated()

  The cursor was deactivated.

### cursorRequeried

    void cursorRequeried(android.database.Cursor cursor)

  The query was re-run.

  Parameters:
    `cursor` - the old cursor

### query

    android.database.Cursor query(H2Database.CursorFactory factory,
                                  java.lang.String[] bindArgs)

  Execute the query.

  Parameters:
    `factory` - the cursor factory
    `bindArgs` - the parameter values
  Returns:
    the cursor

### setBindArguments

    void setBindArguments(java.lang.String[] bindArgs)

  Set the parameter values.

  Parameters:
    `bindArgs` - the parameter values.